
Foreman - Refactor #642

The "managed" attribute of a host is poorly implemented

02/02/2011 10:41 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Host creation   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

A host is "managed" if it has been created by Foreman, otherwise it was imported or created in some other way. This should be an

attribute of the host object and get initialized when the host is created.

Related issues:

Related to Foreman - Feature #641: Host which have been populated from facts ... Closed 02/02/2011

Associated revisions

Revision 4bf3c419 - 03/07/2011 09:24 AM - Paul Kelly

Fixes #642 - Redo managed host implementation

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 03/01/2011 11:47 AM - Paul Kelly

- Status changed from New to Feedback

Posted and tested

#2 - 03/07/2011 08:47 AM - Paul Kelly

rebased and tested

#3 - 03/07/2011 10:38 AM - Paul Kelly

- Status changed from Feedback to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 4bf3c419e6bb67de3a0e064f1485720d666289cd.

#4 - 03/07/2011 10:44 AM - Ohad Levy

- Target version set to 0.2

#5 - 03/09/2011 06:31 AM - Ohad Levy

do we have a follow up ticket on this feature?

#6 - 03/13/2011 04:07 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
